IPCとRuby 1.8.5 - ruby​​、ipc、sketchup

私はRuby 1.8.5でIPCを行う必要があります。これは、RubyがGoogle SketchUpに同梱されており、完全なRuby APIのサブセットに過ぎないということです。たとえば、Socketクラスはなく、DRbはありません。

RubyでIPCをやっているのは何ですか?メモリマップファイルなどのFileクラスを使用するものは何ですか?私はIPCを全く知らなかったので、明らかに何かを忘れてしまった場合はお詫びします。

回答:

回答№1は0

SketchUpの最新バージョンには、Ruby 1.8.6が付属しています。コアRuby APIをダウンロードすることができます。 require スクリプトを実装するために必要なファイルを作成します。

SketchUp以外のRubyコードのテストは、コマンドラインやSciTEのようなエディタを使って、SketchUpの外ではるかに簡単です。次に、アプリケーション内でテスト用のSketchUpコードを追加できます。

Rubyダウンロード

SciTEのダウンロード


関連する質問
メニュー
最も人気のある